﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI.WebControls;
using EPiServer.Core;

namespace Sitemap.PageProperties
{
    public class ChangeFrequencyControl : EPiServer.Web.PropertyControls.PropertyStringControl
    {
        #region "----------------------- Variable declaration -----------------------"

        private DropDownList _inputControl;

        #endregion

        #region "----------------------- Properties -----------------------"

        public ChangeFrequency ChangeFrequency
        {
            get
            {
                return PropertyData as ChangeFrequency;
            }
        }

        #endregion

        #region "----------------------- Functions -----------------------"

        #endregion

        #region "----------------------- Event Procedures -----------------------"

        #endregion

        #region "----------------------- Overrides -----------------------"

        public override void CreateEditControls()
        {
            _inputControl = new DropDownList();

            _inputControl.ID = Name;

            _inputControl.Items.Add(new ListItem(String.Empty, String.Empty));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/changefreq/opt1"), "always"));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/changefreq/opt2"), "hourly"));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/changefreq/opt3"), "daily"));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/changefreq/opt4"), "weekly"));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/changefreq/opt5"), "monthly"));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/changefreq/opt6"), "yearly"));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/changefreq/opt7"), "never"));

            this.Controls.Add(_inputControl);

            if (this.PropertyData.Value != null)
            {
                _inputControl.SelectedValue = this.PropertyData.Value.ToString();
            }
        }

        public override void ApplyChanges()
        {
            if (_inputControl != null)
            {
                base.SetValue(_inputControl.SelectedValue);
            }
        }

        public override bool SupportsOnPageEdit
        {
            get
            {
                return false;
            }
        }

        #endregion
    }
}