﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI.WebControls;
using EPiServer.Core;

namespace Sitemap.PageProperties
{
    public class PriorityControl : EPiServer.Web.PropertyControls.PropertyStringControl
    {
        #region "----------------------- Variable declaration -----------------------"

        private DropDownList _inputControl;

        #endregion

        #region "----------------------- Properties -----------------------"

        public Priority Priority
        {
            get
            {
                return PropertyData as Priority;
            }
        }

        #endregion

        #region "----------------------- Functions -----------------------"

        #endregion

        #region "----------------------- Event Procedures -----------------------"

        #endregion

        #region "----------------------- Overrides -----------------------"

        public override void CreateEditControls()
        {
            _inputControl = new DropDownList();

            _inputControl.ID = this.Name;

            _inputControl.Items.Add(new ListItem(String.Empty, String.Empty));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/priority/opt1"), "1.0"));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/priority/opt2"), "0.9"));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/priority/opt3"), "0.8"));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/priority/opt4"), "0.7"));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/priority/opt5"), "0.6"));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/priority/opt6"), "0.5"));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/priority/opt7"), "0.4"));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/priority/opt8"), "0.3"));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/priority/opt9"), "0.2"));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/priority/opt10"), "0.1"));
            _inputControl.Items.Add(new ListItem(LanguageManager.Instance.Translate("/priority/opt11"), "0.0"));

            this.Controls.Add(_inputControl);

            if (this.PropertyData.Value != null)
            {
                _inputControl.SelectedValue = this.PropertyData.Value.ToString();
            }
        }

        public override void ApplyChanges()
        {
            if (_inputControl != null)
            {
                base.SetValue(_inputControl.SelectedValue);
            }
        }

        public override bool SupportsOnPageEdit
        {
            get
            {
                return false;
            }
        }

        #endregion
    }
}